Download

Date Download Size Verification
2016/10/23   neard-1.0.21.7z 118.62 MB [MD5] [SHA1] [SHA256] [SHA512]
2016/10/23   neard-1.0.21.zip 343.05 MB [MD5] [SHA1] [SHA256] [SHA512]

Changelog

  • Replace launchStartup with enable for binaries (Issue #153)
  • Better way to manage modules (Issue #153)
  • Check if PHP Apache module is loaded (phpMyAdmin and phpPgAdmin aliases)
  • Add memcached extension to php lib core (check service)
  • Bug with LaunchStartupService option
  • Bug on install service item menu (Issue #152)
  • Redundant check service installed
  • libpq required for php lib core (PostgreSQL)
  • Update Neard Visual C++ Redistributables Package (PostgreSQL)
  • Add npmrc item in Node.js menu
  • Add phpPgAdmin app
  • Update about dialog
  • Misspelled on WebSVN class
  • Add PostgreSQL binary (Issue #143)
  • Update Adminer conf for PostgreSQL
  • Change service displayName, description and startType after creation
  • Do not remove service if not installed on exit
  • Implement launch on startup for Memcached
  • Launch on startup option for Mailhog not implemented (Issue #149)
  • Add phpMemAdmin application (Issue #145)
  • Add MailHog log menu item
  • Add Memcached binary (Issue #145)
  • Bug with ASCII char on PHP 5.2
  • sprintf bug on PHP 5.2
  • E_DEPRECATED not defined on PHP 5.2
  • Start and stop services icons reversed (Issue #141)

Upgrade from previous release

  • required : Download and install the latests Neard Prerequisites Package
  • required : Remove then replace folder apps\adminer
  • required : Copy folder apps\phpmemadmin
  • required : Copy folder apps\phppgadmin
  • required : Copy file alias\phpmemadmin.conf
  • required : Copy file alias\phppgadmin.conf
  • required : Copy file alias\phpmyadmin.conf
  • required : Copy folder bin\memcached
  • required : Copy folder bin\postgresql
  • required : Remove then replace folder core
  • required : Replace apacheLaunchStartup with apacheEnable in neard.conf
  • required : Replace mysqlLaunchStartup with mysqlEnable in neard.conf
  • required : Replace mariadbLaunchStartup with mariadbEnable in neard.conf
  • required : Replace filezillaLaunchStartup with filezillaEnable in neard.conf
  • required : Replace mailhogLaunchStartup with mailhogEnable in neard.conf
  • required : Add line phpEnable = "1" after phpVersion in neard.conf
  • required : Add line nodejsEnable = "1" after nodejsVersion in neard.conf
  • required : Add line postgresqlVersion = "9.4.8" after mariadbEnable in neard.conf
  • required : Add line postgresqlEnable = "1" after postgresqlVersion in neard.conf
  • required : Add line memcachedVersion = "1.4.5" after mailhogEnable in neard.conf
  • required : Add line memcachedEnable = "1" after memcachedVersion in neard.conf
  • required : Add line phpmemadminVersion = "0.3.1" after gitlistVersion in neard.conf
  • required : Add line phppgadminVersion = "5.2" after phpmyadminVersion in neard.conf